package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.CompanyContacts;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface CompanyContactsService {
	CompanyContacts get(String id);
	boolean exist(String id);
	int insert(CompanyContacts model);
	int update(CompanyContacts model);
	int delete(String id);
	List<CompanyContacts> list();
	Page<CompanyContacts> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<CompanyContacts> findByCompanyId(String companyId);
}